curl --request POST \
--url https://biohub.ai/api/v1/inverse_fold \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inverse_folding_config": {
"invalid_ids": [],
"temperature": 0.1
},
"potential_sequence_of_concern": false,
"coordinates": [],
"sequence": "<string>"
}
'import requests
url = "https://biohub.ai/api/v1/inverse_fold"
payload = {
"inverse_folding_config": {
"invalid_ids": [],
"temperature": 0.1
},
"potential_sequence_of_concern": False,
"coordinates": [],
"sequence": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inverse_folding_config: {invalid_ids: [], temperature: 0.1},
potential_sequence_of_concern: false,
coordinates: [],
sequence: '<string>'
})
};
fetch('https://biohub.ai/api/v1/inverse_fold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "esm3-open-2024-03",
"created": "<string>",
"potential_sequence_of_concern": false,
"warning_messages": [
"<string>"
],
"sequence": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}inverse_fold
(ESM3) Inverse folds proteins. Defaults to esm3-open-2024-03 if no model is given
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Show child attributes
Show child attributes
You may have access to additional, private models as well. These will be visible on the Rate Limits page under the Developer Console
esm3-open-2024-03, null Disclose potential sequences of concern. For approved users, such sequences will not go through additional safety filtering. Reach out if you are interested in using this.
Coordinates of the N, CA, C atom sequence as a Nx37x3 array.
Sequence for sequence conditioning.
Response
Successful Response
You may have access to additional, private models as well. These will be visible on the Rate Limits page under the Developer Console
esm3-open-2024-03 ISO formatted date time
Indicate that the returned sequence may be of potential concerns.
Warning messages returned by FastAPI.
Inverse folded sequence.